# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: alpine:3.20

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  script:
  - ./ci.sh
  except:
  - master

pages:
  script:
  - ./ci.sh
  artifacts:
    paths:
    - public
  only:
  - master
